#!/bin/bash

# This is a helper script for the wingedmonkey window manager.
# It provides routines to quickly move the windows into the 9
# positions on the screen: all 4 corners, all 4 edges and center.
# It also has the commands to resize the windows.
#
# It's best if you put it in the $HOME/.wingedmonkey.d directory,
# make it visible by setting the $PATH and bind it to super+keypad
# via xbindkeys.

case "$1" in
    1) 
	wingc client-set focus geometry 't0%' 't100%'
	;;
    2)
	whalf=$(wingc client-get focus geometry | awk '{print int($4/2)}')
	wingc client-set focus geometry "t50%-$whalf" 't100%'
	;;
    3)
	wingc client-set focus geometry 't100%' 't100%'
	;;
    4)
	hhalf=$(wingc client-get focus geometry | awk '{print int($5/2)}')
	wingc client-set focus geometry 't0%' "t50%-$hhalf"
	;;
    5)
	whalf=$(wingc client-get focus geometry | awk '{print int($4/2)}')
	hhalf=$(wingc client-get focus geometry | awk '{print int($5/2)}')
	wingc client-set focus geometry "t50%-$whalf" "t50%-$hhalf"
	;;
    6)
	hhalf=$(wingc client-get focus geometry | awk '{print int($5/2)}')
	wingc client-set focus geometry 't100%' "t50%-$hhalf"
	;;
    7)
	wingc client-set focus geometry 't0%' 't0%'
	;;
    8)
	whalf=$(wingc client-get focus geometry | awk '{print int($4/2)}')
	wingc client-set focus geometry "t50%-$whalf" 't0%'
	;;
    9)
	wingc client-set focus geometry 't100%' 't0%'
	;;
    '+')
	dimn=$(wingc client-get focus geometry | awk '{print int($4*1.1), int($5*1.1)}')
	wingc client-set focus geometry - - $dimn
	;;
    '-')
	dimn=$(wingc client-get focus geometry | awk '{print int($4/1.1), int($5/1.1)}')
	wingc client-set focus geometry - - $dimn
	;;
    '++')
	dimn=$(wingc client-get focus geometry | awk '{print $4, int($5*1.1)}')
	wingc client-set focus geometry - - $dimn
	;;
    '--')
	dimn=$(wingc client-get focus geometry | awk '{print $4, int($5/1.1)}')
	wingc client-set focus geometry - - $dimn
	;;
esac
